﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=5.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Private IDList As List
	Private spnProduct As Spinner
	Private edtNumber, edtDate As EditText
	Private Cursor1 As Cursor
	Private btnAdd, btnUpdate As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("EditStock")
	Activity.Title = "Stock " & Starter.StockEditMode
	
	Init
	Select Starter.StockEditMode
	Case "Add"
		InitNewItem
		btnUpdate.Visible = False
	Case "Edit"
		InitEditItem
	End Select
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Cursor1.Close
End Sub

Sub btnAdd_Click
	Private Query As String
	
	Query = "INSERT INTO Stock VALUES (" & edtNumber.Text & ", " & Starter.ProductIDList.Get(spnProduct.SelectedIndex) & ", " & DateTime.Now & ")"
	Starter.sqlRecent.ExecNonQuery(Query)
	btnUpdate.Visible = True
End Sub

Sub btnUpdate_Click
	Private Query As String
	
	Query = "UPDATE Stock SET Number = " & edtNumber.Text & ", Product = " & Starter.ProductIDList.Get(spnProduct.SelectedIndex) & ", Date = " & DateTime.DateParse(edtDate.Text)
	Query = Query & " WHERE rowID = " & Starter.SelectedStockID
	
	Starter.sqlRecent.ExecNonQuery(Query)
End Sub

Sub Init
	Private Row As Int
	Private Query As String
	
	IDList.Initialize
	
	Query = "SELECT Products.Name, Suppliers.Name, Products.rowID From Products, Suppliers"
	Query = Query & " WHERE Suppliers.rowID = Products.SupplierID"
	Cursor1 = Starter.sqlRecent.ExecQuery(Query)
	
	For Row = 0 To Cursor1.RowCount - 1
		Cursor1.Position = Row
		spnProduct.Add(Cursor1.GetString2(0) & " / " & Cursor1.GetString2(1))
		IDList.Add(Cursor1.GetLong2(2))
	Next
End Sub

Sub InitNewItem
	edtNumber.Text = 1
	spnProduct.SelectedIndex = 0
	edtDate.Text = DateTime.Now
End Sub

Sub InitEditItem
	Private Query As String
	
	Query = "SELECT Number, Product, Date From Stock WHERE rowID = " & Starter.SelectedStockID
	Cursor1 = Starter.sqlRecent.ExecQuery(Query)	
	Cursor1.Position = 0
	edtNumber.Text = Cursor1.GetInt2(0)
	spnProduct.SelectedIndex = IDList.IndexOf(Cursor1.GetLong2(1))
	edtDate.Text = DateTime.Date(Cursor1.GetLong2(2))
End Sub


