﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=5.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Private wbvTable As WebView
	Private lblSelectedItem As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("ShowTable")
	Activity.Title = "SQLiteLight4  Products"
End Sub

Sub Activity_Resume
	ShowTableProducts
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub btnAdd_Click
	Starter.ProductEditMode = "Add"
	StartActivity(EditProduct)
End Sub

Sub btnEdit_Click
	Starter.ProductEditMode = "Edit"
	StartActivity(EditProduct)
End Sub

Sub btnDelete_Click
	Private Answ As Int
	
	Answ = Msgbox2("Do you really want to delete the selected entry ?", "D E L E T E", "Yes", "", "No", Null)
	
	If Answ = DialogResponse.POSITIVE Then
		Starter.sqlRecent.ExecNonQuery("DELETE FROM Stock WHERE rowID = " & Starter.SelectedProductID)
		ShowTableProducts
	End If
End Sub

Sub ShowTableProducts
	Private Query As String
	
	Query = "SELECT Products.Name, Products.Price, Suppliers.Name AS Supplier "
	Query = Query & "FROM Products, Suppliers "
	Query = Query & "WHERE Suppliers.rowID = Products.SupplierID"

	wbvTable.LoadHtml(Utils.ExecuteHtml(Starter.sqlRecent, Query, Null, 0, True))
	ReadDataBaseIDs
End Sub

'Reads the database IDs in IDList
Sub ReadDataBaseIDs
	Private Row As Int
	Private Cursor1 As Cursor
	
	Starter.ProductIDList.Initialize		'initialize the ID list

	'We read only the ID column and put them in a List
	Cursor1 = Starter.sqlRecent.ExecQuery("SELECT rowID FROM Products")
	
	If Cursor1.RowCount > 0 Then						'check if entries exist
		Starter.ProductIDList.Initialize						'initialize the ID list
		For Row = 0 To Cursor1.RowCount - 1
			Cursor1.Position = Row										'set the Cursor to each row
			Starter.ProductIDList.Add(Cursor1.GetInt2(0))		'add the ID's to the ID list
		Next
	Else
		ToastMessageShow("No items found", False)
	End If
	Cursor1.Close								'close the cursor, we don't need it anymore
End Sub

Sub UpdateSelectedItem
	Private Query As String
	Private Cursor1 As Cursor
	
	Query = "SELECT Products.Name, Suppliers.Name"
	Query = Query & " FROM Products, Suppliers" 
	Query = Query & " WHERE Products.rowID = " & Starter.SelectedProductID & " AND Suppliers.rowID = Products.SupplierID"

	Cursor1 = Starter.sqlRecent.ExecQuery(Query)
	Cursor1.Position = 0
	lblSelectedItem.Text = Cursor1.GetString2(0) & " / " & Cursor1.GetString2(1)

	Cursor1.Close
End Sub

'Routine from the DBUtils demo program, equivalent to the Click event
Sub wbvTable_OverrideUrl (Url As String) As Boolean
	'parse the row and column numbers from the URL
	Private values() As String
	Private Col, Row As Int

	values = Regex.Split("[.]", Url.SubString(7))
	
	Col = values(0)
	Row = values(1)
	Starter.SelectedProductID = Starter.ProductIDList.Get(Row)
	
	UpdateSelectedItem

	Return True 'Don't try to navigate to this URL
End Sub
